nn (6.7.3-11) unstable; urgency=medium

  * Rebuild package
    + Bump Standard to 4.5.0
      - Rules-Requires-Root: no
    + Split patches to separate files
    + Don't install unneeded manpages
    + Reworked copyright-file, but abusing lintian-ignores.
    + Fix FTBFS with hardening
  * Fix FTBFS with missing stropts.h in glibc 2.30 (closes: #954552)

 -- Cord Beermann <cord@debian.org>  Sat, 04 Apr 2020 12:58:38 +0200

nn (6.7.3-10) unstable; urgency=medium

  * add patch by Chris Lamb <lamby@debian.org> for reproducable builds.
    (closes: #776764)
  * bumb debhelper to 9

 -- Cord Beermann <cord@debian.org>  Thu, 20 Aug 2015 13:39:10 +0200

nn (6.7.3-9) unstable; urgency=low

  * The DebConf-Release
  * Bump Standard-Version to 3.9.6
  * Reconfigured Hardening to make lintian happy

 -- Cord Beermann <cord@debian.org>  Mon, 10 Aug 2015 21:22:13 +0200

nn (6.7.3-8) unstable; urgency=low

  * define MAXHOSTNAMELEN if not already set for the Hurd.

 -- Cord Beermann <cord@debian.org>  Sun, 24 Jun 2012 10:35:12 +0200

nn (6.7.3-7) unstable; urgency=low

  * Fix a lintian-override thanks to: Jakub Wilk <jwilk@debian.org>
    (closes: #642239)

 -- Cord Beermann <cord@debian.org>  Sun, 24 Jun 2012 10:03:38 +0200

nn (6.7.3-6) unstable; urgency=low

  * disabled DEB_BUILD_HARDENING_FORMAT

 -- Cord Beermann <cord@debian.org>  Sat, 23 Jun 2012 20:34:59 +0200

nn (6.7.3-5) unstable; urgency=low

  * fix debian/rules to have a config.h when we need it.

 -- Cord Beermann <cord@debian.org>  Sat, 23 Jun 2012 19:12:01 +0200

nn (6.7.3-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #628348)
  * Add Hardening
  * Remove Template from watch-File
  * Fixed duplicate changelog
  * Bump Standard to 3.9.3 (no changes)

 -- Cord Beermann <cord@debian.org>  Thu, 21 Jun 2012 23:18:07 +0200

nn (6.7.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ymakefile:12: *** commands commence before first target.
    Stop.": add patch from Ubuntu / Andreas Moog:
    - Escape backslashes in makefile template to fix FTBFS (LP: #756213)
      (Closes: #628348)

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 18:24:08 +0200

nn (6.7.3-3) unstable; urgency=low

  * add spanish Translation (closes: #570354)
  * Acknowledge NMUs
  * Make Lintian happy
    + Fixed typos
    + moving nn-eu.po to eu.po
    + Bumped Policy-version
    + DH version 7

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 17:44:40 +0200

nn (6.7.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename local getline func to local_getline. (Closes: #552849, #548461).
  * Add Italian debconf translation. (Closes: #504995).
    + Thanks to Luca Monducci.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 20:55:20 -0400

nn (6.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload to fix bashism in build process.
  * Modified prefix.c to check for a NULL value when generating shell
    scripts headers (closes: #459108)
  * Added nl.po and pt_BR.po contributed by Bart Cornelis and Eder L. Marques
    (closes: #419733) (closes: #447150)
  * Fixed text lines in the manpages with a leading dot.
  * Converted debian copyright file to utf8.
  * Updated menu file "Apps/Net" -> "Applications/Network/Communication".

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 08 Mar 2008 16:07:37 -0200

nn (6.7.3-2) unstable; urgency=medium

  * debconf translations
    + added ka.po and vi.po (closes: #399496) (sorry, Christian)
  * no more changes, should be safe for release...

 -- Cord Beermann <cord@debian.org>  Wed,  3 Jan 2007 22:34:53 +0100

nn (6.7.3-1) unstable; urgency=low

  * New upstream release (no significant changes)
  * debconf translations
    + added basque translation (closes: #331351)
    + updated swedish translation (closes: #331351)
    + updated russian translation (closes: #361657)
    + added portugese translation (closes: #381633)
  * Fix up broken templates/config/postinst files (closes: #335270)
    (many thanks to  J S Bygott for figuring this out)
  * Fix bashism (closes: #376430)
  * bumped Standards-Version, no change.

 -- Cord Beermann <cord@debian.org>  Sun, 19 Nov 2006 13:40:15 +0100

nn (6.7.2-1) unstable; urgency=low

  * New upstream (closes: #325055)
    + fixed AUTO-Domain-problem (closes: #190599)
  * Update debian/watch
  * debconf translations
    + added japanese (closes: #308748)
    + changed german (closes: #311853)
    + added vietnamese (closes: #316060)
    + added french (closes: #299252)
    + added czech (closes: #309078)
    + added danish (closes: #323364)
  * Bumped Standard-version
  * added {misc:Depend}
  * Make Lintian happy
    + removed non-bashism from nn.config

 -- Cord Beermann <cord@debian.org>  Sat,  1 Oct 2005 21:50:12 +0200

nn (6.6.5-2) unstable; urgency=low

  * Applied patch by  Martin Quinson <martin.quinson@imag.fr> for
    gettext-based debconf templates (closes: #237443)
  * Applied patch by  Andreas Jochens <aj@andaco.de> to let nn also
    build with gcc-4.3 (closes: #265531)
  * make lintian happy:
    + fixed three manpages.
    + fixed debian/menu
    + added sendmail as alternative for mail-transport-agent
  * bumped Standards-Version, no change.

 -- Cord Beermann <cord@debian.org>  Sat, 26 Feb 2005 22:03:22 +0100

nn (6.6.5-1) unstable; urgency=low

  * New upstream release
    - nnview no longer tries to connect to the NNTPSERVER
    - DOMAIN can now be defined even if HIDDENNET isn't
    - nn no longer segfaults if it reconnects during initial authentication
  * added danish debconf-template (closes: #174796)
  * closing old bug. Reporter didn't respond to question if his problem is
    fixed. I think the problem (displaying errorcodes) is. (closes: #9356)

 -- Cord Beermann <cord@debian.org>  Mon, 10 Feb 2003 16:05:00 +0100

nn (6.6.4-1) unstable; urgency=low

  * New upstream release
    + fixes security problem. (closes: #150418)
  * added /etc/news to the nn-dirs. (closes: #134002)
  * added russian debconf-template (closes: #136601)
  * removed apostrophe from description. (closes: #139730)

 -- Cord Beermann <cord@debian.org>  Fri, 28 Jun 2002 19:50:10 +0200

nn (6.6.2-5) unstable; urgency=low

  * reactivated Digests, since it looks like it works again.
    (closes: #129654)

 -- Cord Beermann <cord@debian.org>  Thu, 31 Jan 2002 23:41:10 +0100

nn (6.6.2-4) unstable; urgency=low

  * fixed a buffer-overflow in RfC1522-Patch.
    (Thanks to Elrond for the patch)
  * added fix by Bob Hain <bob@me.umn.edu> to workaround HIDDENNET

 -- Cord Beermann <cord@debian.org>  Fri,  2 Nov 2001 22:04:36 +0100

nn (6.6.2-3) unstable; urgency=low

  * disabled check for $MTA. Debian-Dependency will do this for us.
    (closes: #116641)

 -- Cord Beermann <cord@debian.org>  Tue, 23 Oct 2001 20:42:27 +0200

nn (6.6.2-2) unstable; urgency=low

  * fixed symlinks.
  * added german-template to debconf (closes: #116471)
  * removed old MANIFEST-File as we don't need it anymore for building.
  * written man-page for nnbatch.

 -- Cord Beermann <cord@debian.org>  Sun, 21 Oct 2001 12:07:06 +0200

nn (6.6.2-1) unstable; urgency=low

  * New upstream release
  * finally Lintian-happy

 -- Cord Beermann <cord@debian.org>  Fri, 19 Oct 2001 20:51:36 +0200

nn (6.6.0-4) unstable; urgency=low

  * making lintian happy.
    - upstream changelog now correct.
    - debconf removed from Build-dependency and added to dependency.
    - changed odd 'Upstream Author(s)'
    - nnbatch.1 gets undocumented-manpage.

 -- Cord Beermann <cord@debian.org>  Wed,  3 Oct 2001 11:41:14 +0200

nn (6.6.0-3) unstable; urgency=low

  * moved Logfile to $USER/.nn (close a point out of the reopened #9356)
  * reverted mkstemp back to mktemp.
  * remove update.h on clean.
  * Build-dependency changed from libncurses5-dev to libncurses-dev

 -- Cord Beermann <cord@debian.org>  Wed,  3 Oct 2001 11:41:14 +0200

nn (6.6.0-2) unstable; urgency=low

  * removed -malign-{loops,jumps,functions} from Compiler-Flags.
    (closes: #114028)
  * real fixing build problem with gcc-3.x. Programs which use different
    meanings to Tabs and spaces have to die! (closes: #104956)

 -- Cord Beermann <cord@debian.org>  Mon,  1 Oct 2001 11:32:10 +0200

nn (6.6.0-1) unstable; urgency=low

  * New Maintainer.
  * Package rebuilt from scratch.
  * New upstream release. changes include:
    - support for NNTP AUTH. Can't find information XAUTHINFO GENERIC.
      (closes: #9356)
    - 'mailed to the moderator' added to aux-script. (closes: #54333)
  * added RfC1522-patch by Kristian Koehntopp and Stefan Roerich
  * added a patch by Daniel Merritt <merritt@highlander.cbnet.ns.ca> which
    prevents nn from crashing if NNTPSERVER contains an unresolveable name.
    (closes: #97074)
  * disabled NOV, it causes different problems. People should read per NNTP or
    have to recompile to read directly on spool. (closes: #84409, #105759)
  * NMU fixes finally closed. (closes: #83855, #90457, #92105)
  * guessed that the Bugreport from hppa-autobuilder could be this: fixed
    build problem with gcc-3.x (fix found in news.software.nn by Neil W
    Rickert <rickert+nn@cs.niu.edu>) (closes: #104956)
    Please make sure that new Bugreports are more meaningful!
  * Bug has disappeared (closes: #83442)

 -- Cord Beermann <cord@debian.org>  Sat, 22 Sep 2001 21:11:46 +0200

nn (6.5.1-7.2) unstable; urgency=low

  * Added the missing build dependency on gawk.
    (closes: #90457, #92105)
  * Standards-Version: 3.1.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 15 Apr 2001 00:54:44 +0200

nn (6.5.1-7.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix compilation with libncurses5-dev 5.2.20010310-2. Fixes: #83855
  * Added Build-Depends on libncurses5-dev.
  * Fixed menu file (lintian error).
  * Added -isp to dpkg-gencontrol (lintian warning).
  * Moved docs to /usr/share/doc and added code to postinst and prerm to
    handle the /usr/doc symlinks (lintian error).

 -- Paul Martin <pm@debian.org>  Sun, 18 Mar 2001 20:03:52 +0000

nn (6.5.1-7) unstable; urgency=low

  * The postinst script will now create /etc/news if it does not exist
    (closes: Bug#49639)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 12 Nov 1999 21:04:10 +0100

nn (6.5.1-6) unstable; urgency=low

  * Reverted patch for 6.5.1-5 since the bug was mistakenly taken care
    of.  In our policy Section 2.3.8 talks about /etc/nntpserver but
    section 4.6 talks about /etc/news/server.  It seems that the
    reference to /etc/nntpserver was just left in by accident when policy
    was updated to use /etc/news/server.  See also Bug#21875

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 20 Apr 1999 00:18:49 +0200

nn (6.5.1-5) unstable; urgency=low

  * Changed location for NNTP server to /etc/nntpserver (closes:
    Bug#Bug#36135)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 16 Apr 1999 10:18:15 +0200

nn (6.5.1-4) frozen unstable; urgency=low

  * Re-upload into frozen

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  8 Nov 1998 12:41:48 +0100

nn (6.5.1-3) unstable; urgency=low

  * Corrected menu file (closes: Bug#29119)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat,  7 Nov 1998 18:05:00 +0100

nn (6.5.1-2) frozen unstable; urgency=medium

  * Reupload into frozen because the distribution was changed suddenly
    *after* the last upload so it went into the wrong one.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  3 Nov 1998 23:08:25 +0100

nn (6.5.1-1) unstable; urgency=low

  * New maintainer
  * New upstream source (close: Bug#12973)
  * New packaging scheme
  * New menu file
  * Updated Standards-Version
  * New config.h, placed it into the debian directory instead of a set of
    only half working sed rules
  * Updated copyright file
  * Moved tmp directory to /tmp (was: /var/tmp)
  * Turned all insecure gets() into size-checking fgets() calls
  * Some variables are now initialized with proper values
  * Extracted <term.h> and placed a locally modified copy in the debian
    directory
  * Removed nnbatch
  * Turned strcmp() into strcasecmp() for comparing the local hostname
    with the nntp server.  This would turn even more machines into use
    local spool files.
  * Included old README since it still contains information
  * Introduced NEWS_VAR_DIRECTORY alias news_var_directory to provide the
    distinction between /usr/lib/news and /var/lib/news (closes: Bug#4181,
    Bug#5296, Bug#5815, Bug#8092, Bug#12980)
  * Reworked description (closes: Bug#18968)
  * Removed absolute path to inews *sigh* (closes: Bug#14025)
  * Reworked postinst (closes: Bug#12591)
  * Added NULL-test to nntp_check(), thanks dark (closes: Bug#8093)
  * Included sample init file (closes: Bug#7684, Bug#24235)
  * Added patch from Franco Venturi <fventuri@mediaone.net> to be able to
    work with more than 32k active newsgroups (closes: Bug#22024)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  1 Nov 1998 02:35:48 +0100

nn (6.5.0.b3.linux.1.1-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.
  * Updated from pre 2.0.0.0 standards.

 -- Martin Mitchell <martin@debian.org>  Wed, 12 Nov 1997 21:44:07 +1100



Local variables:
mode: debian-changelog
End:
